org.richfaces.renderkit.html

## Class TabPanelRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.html.DivPanelRenderer
      - - org.richfaces.renderkit.html.TogglePanelRenderer
        - - org.richfaces.renderkit.html.TabPanelRenderer

- All Implemented Interfaces:
    org.richfaces.ui.common.meta.MetaComponentRenderer

      public class TabPanelRenderer
      extends TogglePanelRenderer

  Author:
    akolonitsky, Brian Leathem

- - ### Field Summary

    - ### Fields inherited from class org.richfaces.renderkit.html.TogglePanelRenderer

      `BEFORE_ITEM_CHANGE, ITEM_CHANGE, VALUE_POSTFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TabPanelRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doEncodeBegin(javax.faces.context.ResponseWriter w, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected void` | `doEncodeEnd(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected Class<? extends javax.faces.component.UIComponent>` | `getComponentClass()`
    `protected org.richfaces.javascript.JSObject` | `getScriptObject(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected Map<String,Object>` | `getScriptObjectOptions(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected String` | `getStyle(javax.faces.component.UIComponent component)`
    `protected String` | `getStyleClass(javax.faces.component.UIComponent component)`
    `protected boolean` | `isSubmitted(javax.faces.context.FacesContext context, AbstractTogglePanel panel)`

    - ### Methods inherited from class org.richfaces.renderkit.html.TogglePanelRenderer

      `addEventOption, decodeMetaComponent, doDecode, doEncodeChildren, encodeMetaComponent, getAjaxOptions, partialEnd, partialStart`

    - ### Methods inherited from class org.richfaces.renderkit.html.DivPanelRenderer

      `addOnCompleteParam, addOnCompleteParam, attributeAsString, attributeAsString, attributeAsStyle, attributeAsStyle, capitalize, doEncodeItemBegin, doEncodeItemEnd, getPassThroughAttributes, styleElement, writeJavaScript`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, encodeBegin, encodeChildren, encodeEnd, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TabPanelRenderer

          public TabPanelRenderer()

  - ### Method Detail

    - #### isSubmitted

          protected boolean isSubmitted(javax.faces.context.FacesContext context,
                            AbstractTogglePanel panel)

      Overrides:
        `isSubmitted` in class `TogglePanelRenderer`

    - #### doEncodeBegin

          protected void doEncodeBegin(javax.faces.context.ResponseWriter w,
                           javax.faces.context.FacesContext context,
                           javax.faces.component.UIComponent component)
                                throws IOException

      Overrides:
        `doEncodeBegin` in class `TogglePanelRenderer`
      Throws:
        `IOException`

    - #### getStyle

          protected String getStyle(javax.faces.component.UIComponent component)

      Overrides:
        `getStyle` in class `DivPanelRenderer`

    - #### getStyleClass

          protected String getStyleClass(javax.faces.component.UIComponent component)

      Overrides:
        `getStyleClass` in class `TogglePanelRenderer`

    - #### doEncodeEnd

          protected void doEncodeEnd(javax.faces.context.ResponseWriter writer,
                         javax.faces.context.FacesContext context,
                         javax.faces.component.UIComponent component)
                              throws IOException

      Overrides:
        `doEncodeEnd` in class `TogglePanelRenderer`
      Throws:
        `IOException`

    - #### getScriptObject

          protected org.richfaces.javascript.JSObject getScriptObject(javax.faces.context.FacesContext context,
                                                          javax.faces.component.UIComponent component)

      Overrides:
        `getScriptObject` in class `TogglePanelRenderer`

    - #### getScriptObjectOptions

          protected Map<String,Object> getScriptObjectOptions(javax.faces.context.FacesContext context,
                                                  javax.faces.component.UIComponent component)

      Overrides:
        `getScriptObjectOptions` in class `TogglePanelRenderer`

    - #### getComponentClass

          protected Class<? extends javax.faces.component.UIComponent> getComponentClass()

      Overrides:
        `getComponentClass` in class `TogglePanelRenderer`

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.